
# Beets config, as per https://beets.readthedocs.io/en/stable/reference/config.html#configuration

# Global Options

# Path to the beets library file. By default, beets will use a file called library.db.
library: ~/data/musiclibrary.db

# The directory to which files will be copied/moved when adding them to the library.
directory: /srv/dev-disk-by-label-data/Music/

# A space-separated list of extra configuration files to include.
# Secret strings (REDACTED) like usernames and passwords. Add this file to git.ignore.
include:                     
  - secrets.yaml

# On multi-disk releases, assign track numbers for the whole album. If enabled, make sure tracknames do not collide ("paths" setting).
per_disc_numbering: yes

# Indicating whether matched albums should have their year, month, and day fields set to the release date of the original version of an album rather than the selected version of the release.
original_date: yes

# Either yes or no; whether to ignore hidden files when importing. Files (and directories) starting with a dot are detected as hidden files.
ignore_hidden: yes

# When beets imports all the files in a directory, it tries to remove the directory if it’s empty. A directory is considered empty if it only contains files whose names match the glob patterns in clutter, which should be a list of strings. The default list consists of “Thumbs.DB” and “.DS_Store”.
clutter: ["*.pdf", "*.bmp", "*.png", "*.jpg", "*.jpef", "*.tif", "*.gif", "*.sfv", "*.nfo", "*.m3u", "*.log", "*.DS_Store", "Thumbs.DB", "Thumbs.db"]

# When importing album art, the name of the file (without extension) where the cover art image should be placed. Default: cover results in "cover.jpg".
art_filename: cover

# https://beets.readthedocs.io/en/stable/reference/pathformat.html#aunique
aunique:
  keys: albumartist album
  disambiguators: albumtype year label catalognum albumdisambig releasegroupdisambig
  bracket: '[]'

import:
  # Move imported files from source to the music directory. Otherwise there will be duplicates on file system (1 in source, 1 in target).
  move: yes
  # write metadata to music files as tags.
  write: yes
  copy: no
  bell: yes
  # Specifies a filename where the importer’s log should be kept.
  log: ~/.config/beets/beets.log
  # Either skip, keep, remove, merge or ask. Controls how duplicates are treated in import task. I want to be asked, so can inspect which one is of better quality.  
  duplicate_action: ask
  # Either ask, asis or skip. Specifies what should happen during an interactive import session when there is no recommendation. Default: ask.
  none_rec_action: ask
  # Either skip (default) or asis, specifying what should happen in quiet mode.
  quiet_fallback: skip

hook:
  hooks:
    - event: art_set
      command: echo "Coverart saved"

musicbrainz:
  # Controls the Web server hostname (and port, optionally) that will be contacted by beets (default: musicbrainz.org)
  host: musicbrainz.org
  # The https key makes the client use HTTPS instead of HTTP. This setting applies only to custom servers. The official MusicBrainz server always uses HTTPS.
  https: yes
  # Controls the number of Web service requests per second (default: 1). Do not change the rate limit setting if you’re using the main MusicBrainz server—on this public server, you’re limited to one request per second.
  ratelimit: 1
  # The number of matches returned when sending search queries to the MusicBrainz server.
  searchlimit: 5
  # Use MusicBrainz genre tags to populate (and replace if it’s already set) the genre tag. This will make it a list of 
  # all the genres tagged for the release and the release-group on MusicBrainz, separated by “; ” and sorted by the total number of votes.
  genres: no    
match:
  strong_rec_thresh: 0.04
  # Include audio-only versions of the video tracks
  ignore_video_tracks: no
ui:
  color: yes
  colors:
    text_success: green
    text_warning: yellow
    text_error: red
    text_highlight: red
    text_highlight_minor: lightgray
    action_default: turquoise
    action: blue

# For example, if your path template for singletons is singletons/$title and the title of a track is “Café”, then the track will be saved as singletons/Cafe.mp3.
asciify_paths: no
# When importing album art, the name of the file (without extension) where the cover art image should be placed. Default: cover and placed in the album's directory.
art_filename: cover
# Indicating whether the autotagger should use multiple threads. This makes things substantially faster by overlapping work: for example, it can copy files for 
# one album in parallel with looking up data in MusicBrainz for a different album. You may want to disable this when debugging problems with the autotagger.
threaded: yes
# Format to use when listing *individual* items with the list command. The -f switch overrides this setting.
format_item: $artist - $album - $title
# Format to use when listing *albums* with list and other commands. The -f switch overrides this setting.
format_album: $albumartist - $album
# By default, beets writes MP3 tags using the ID3v2.4 standard, the latest version of ID3. Enable this option to instead use the older ID3v2.3 standard, which is preferred by certain older software.
id3v23: no
# Sets the albumartist for various-artist compilations. Defaults to 'Various Artists'
va_name: 'Various Artists'

paths:
# default: $albumartist/$year - $album/$disc-$track $title
  default: %the{$albumartist}/$year - $album/$disc-$track $title
# default: %upper{%left{%the{$albumartist},1}}/$year - $album/$disc-$track $title
# default: %the{$albumartist}/$year - $album%aunique{}/$disc-$track $title
# disabled /Sountracks folder as it caused more confusion than organization. In the future find them by albumtype:soundtrack and genre tag soundtrack
#  albumtype:soundtrack: Soundtracks/%the{$albumartist}/$year - $album/$disc-$track $title
# albumtype:soundtrack: Soundtracks/$year - $album/$disc-$track $title
  albumartist:various artists: Various Artists/$year - $album%aunique{albumartist album, tracktotal albumtype year,()}/$disc-$track $title

replace:
# Default character replacements: https://beets.readthedocs.io/en/stable/reference/config.html?highlight=replace#replace
  # Replace forward slash with underscore
  '[\\/]': _
  # If text starts with \, replace with underscore
  '^\.': _
  # Remove ASCII control characters (0 to 31 on ascii table)
  '[\x00-\x1f]': _
  # Removes the Windows “reserved characters”
  '[<>:"\?\*\|]': _
  # If text ends with \, replace with underscore
  '\.$': _
  # If text ends with a space, remove space
  '\s+$': ''
  # If text starts with a space, remove space
  '^\s+': ''
  # If text starts with -, replace with underscore
  '^-': _

pluginpath:
  - ~/.config/beets/plugins
  - ~/.config/beets/plugins/whatlastgenre/plugin/beets/beetsplug

plugins: info mbsync fetchart lyrics duplicates the mbsubmit mbcollection unimported badfiles edit importadded missing follow wlg fromfilename scrub zero rewrite replaygain fuzzy chroma permissions types usertag

############################## Native Plugins: ################################
#convert:
#    auto: yes
#    copy_album_art: yes
#    dest: /srv/dev-disk-by-label-data/Music/
#    embed: no
#    format: flac
#    formats:
#      ape:
#        command: /bin/cuesplit.sh $source $dest
#        extension: ape
    
fetchart:
  # Enable automatic album art fetching during import. Default: yes.
  auto: yes
  # Pick only trusted album art by ignoring filenames that do not contain one of the keywords in cover_names. Default: no.
  cautious: no
  # Prioritize images containing words in this list. Default: cover front art album folder
  cover_names: cover front art album folder
  # List of sources to search for images. An asterisk * expands to all available sources. Default: filesystem coverart 
  # itunes amazon albumart, i.e., everything but wikipedia, google, fanarttv and lastfm.
  sources: filesystem coverart itunes lastfm amazon fanarttv albumart
  # The personal API key for requesting art from fanart.tv. See below.
  fanarttv_key: REDACTED
  # Your Google API key (to enable the Google Custom Search backend). Default: None.
  google_key: REDACTED
  # The custom search engine to use.
  google_engine: 001442825323518660753:hrh5ch1gjzm
  # The personal API key for requesting art from Last.fm.
  lastfm_key: REDACTED
  # A maximum image width to downscale fetched images if they are too big. The resize operation reduces image width to 
  # at most maxwidth pixels. The height is recomputed so that the aspect ratio is preserved.
  maxwidth: 3690
  # Only images with a width bigger or equal to minwidth are considered as valid album art candidates. Default: 0.
  minwidth: 500
  # The JPEG quality level to use when compressing images (when maxwidth is set). This should be either a number 
  # from 1 to 100 or 0 to use the default quality.
  quality: 0
  # The maximum size of a target piece of cover art in bytes. When using an ImageMagick backend this 
  # sets -define jpeg:extent=max_filesize. Using PIL this will reduce JPG quality by up to 50% to attempt to 
  # reach the target filesize. Neither method is guaranteed to reach the target size, however in most cases it 
  # should succeed. Default: 0 (disabled).
  max_filesize: 0
  # Only images with a width:height ratio of 1:1 are considered as valid album art candidates if set to yes.
  enforce_ratio: 3.0%
  # If enabled, fetchart stores the artwork’s source in a flexible tag named art_source. See below for the 
  # rationale behind this. Default: no.
  store_source: yes
  # If enabled, fetchart retrieves artwork in the highest resolution it can find (warning: image files can 
  #sometimes reach >20MB). Default: no.
  high_resolution: yes
  # If enabled, Pillow or ImageMagick backends are instructed to store cover art as non-progressive JPEG. You 
  # might need this if you use DAPs that don’t support progressive images. Default: no.
  deinterlace: no
  # If enabled, forced the cover image into the specified format. Most often, this will be either JPEG or 
  # PNG [1]. Also respects deinterlace. Default: None (leave unchanged).
  cover_format:

lyrics:
  # Fetch lyrics automatically during import. Default: yes.
  auto: yes
  # By default, the file will be left unchanged when no lyrics are found. Use the empty string '' to reset the lyrics in such a case. Default: None.
  fallback:
  # List of sources to search for lyrics. An asterisk * expands to all available sources. Default: google musixmatch genius tekstowo, i.e., all the available sources. The google source will be automatically deactivated if no google_API_key is setup. The google, genius, and tekstowo sources will only be enabled if BeautifulSoup is installed.
  sources: genius tekstowo lrclib google
  # By default, beets won’t fetch lyrics if the files already have ones. To instead always fetch lyrics, set the force option to yes. Default: no.
  force: no
  # Your Google API key (to enable the Google Custom Search backend). Default: None
  google_API_key: REDACTED
  # The custom search engine to use.
  google_engine_ID: 009217259823014548361:lndtuqkycfu
  # Prefer synced lyrics over plain lyrics if a source offers them. Currently lrclib is the only source that provides them.
  synced: yes

badfiles:
  check_on_import: yes
  commands:
    flac: flac --test --warnings-as-errors --silent

scrub:
  # Enable metadata stripping during import
  auto: yes

duplicates:
#  album: no
#  checksum: ffmpeg -i {file} -f crc -
#  copy: none
#  count: yes
#  delete: no
#  format: format_item
  full: yes
  keys: [mb_trackid, mb_albumid, title]
#    merge: no
#    move: none
#    path: no
#    strict: no
#    tag: no
#    tiebreak: {}

the:
  a: yes
  patterns: []
  the: yes
  strip: no
  format: '{0}, {1}'

mbsubmit:
  format: $track. $title - $artist ($length)
  threshold: medium

mbcollection:
  # Automatically amend your MusicBrainz collection whenever you import a new album.
  auto: yes
  # Remove albums from collections which are no longer present in the beets database.
  remove: yes              
  # Automatically amend your MusicBrainz collection whenever you import a new album.
  collection: REDACTED

# invoke with: beet unimported
unimported:
  # Exclude these file extensions:  
  ignore_extensions: jpg png
  ignore_subdirectories: NonMusic data temp

replaygain:
  # Enable ReplayGain analysis during import. Default: yes.
  # ReplayGain analysis is not fast, so you may want to disable it during import as it slows down it.
  auto: yes
  # The number of parallel threads to run the analysis in. Overridden by --threads at the command line. Default: # of logical CPU cores
  threads: 4
  # Whether to enable parallel analysis during import. As of now this ReplayGain data is not written to files properly, so this 
  # option is disabled by default. If you wish to enable it, remember to run beet write after importing to actually write to the 
  # imported files. Default: no
  parallel_on_import: no
  # The analysis backend; either gstreamer, command, audiotools or ffmpeg. Default: command.
  backend: ffmpeg
  # Re-analyze files that already have ReplayGain tags. Default: no.
  overwrite: yes
  # A number of decibels for the target loudness level. Default: 89.
  targetlevel: 89
  # The target loudness level in decibels (i.e. <loudness in LUFS> + 107) for files using 
  # R128_ tags. Default: 84 (Use 83 for ATSC A/85, 84 for EBU R128 or 89 for ReplayGain 2.0.)
  r128_targetlevel: 84
  # A space separated list of formats that will use R128_ tags with integer values instead of the common REPLAYGAIN_ tags 
  # with floating point values. Requires the “ffmpeg” backend. Default: Opus.
  r128: [Opus]
  # Calculate album ReplayGain on disc level instead of album level. Default: no.
  per_disc: no
  # The path to the mp3gain or aacgain executable (if beets cannot find it by itself).
  # For example: /Applications/MacMP3Gain.app/Contents/Resources/aacgain. Default: Search in your $PATH.
  command: $PATH
  # Reduce the amount of ReplayGain adjustment to whatever amount would keep clipping from occurring. Default: yes.
  noclip: yes
  # Either true (the default) or sample. true is more accurate but slower.
  peak: 'true'

################################ Other Plugins ##########################################
# install and configure these after you've got the natives setup

#fetchartist:
#  filename: "poster"

# beetcamp
# Beetcamp. Uses the bandcamp URL as id (for both albums and songs).
# If no matching release is found when importing you can select enter Id and paste the bandcamp URL.
#bandcamp:
    # A comma-separated list of media to prioritise when fetching albums.
#    preferred_media: Digital

    # For media that isn't Digital Media, include all tracks,
    # even if their titles contain digital only (or alike).
#    include_digital_only_tracks: true
                             
    # Maximum number of items to fetch through search queries. Default: 10.
#    search_max: 10

    # Add a source to the FetchArt plug-in to download album art for Bandcamp albums
    # (requires FetchArt plug-in enabled).
#    art: true

    # The data that is added after the core auto tagging process is considered extra:    
#    exclude_extra_fields:
      # (currently) lyrics and comments (release description) fields.                     
      # Since there yet isn't an easy way to preview them before they get applied,
      # you can ignore them if you find them irrelevant or inaccurate.
      #- lyrics              
#      - comments

edit:
  # A space-separated list of item fields to include in the editor by default. Default: track title artist album
  itemfields: track title artist album
  # The same when editing albums (with the -a option). Default: album albumartist
  albumfields: album albumartist

importadded:
  # After importing files, re-set their mtimes to their original value. Default: no.
  preserve_mtimes: no
  # After writing files, re-set their mtimes to their original value. Default: no.
  preserve_write_mtimes: no

missing:
  # Print a count of missing tracks per album, with format defaulting to $albumartist - $album: $missing. Default: no.
  count: no
  # A specific format with which to print every track. This uses the same template syntax as beets’ path formats. The usage is inspired by, and therefore similar to, the list command. Default: format_item.
#  format: $albumartist - $album - $title
  format: $artist - $album - $title
  # Print a single count of missing tracks in all albums. Default: no.
  total: no

  # Print a count of missing tracks per album, with format defaulting to $albumartist - $album: $missing.
  # Default: no.  
  count: yes
  
  # Print a single count of missing tracks in all albums.
  # Default: no.
  total: yes

# The acousticbrainz plugin gets acoustic-analysis information from the AcousticBrainz project.
# UPDATE 21.2.2022: Project discontinued: https://blog.metabrainz.org/2022/02/16/acousticbrainz-making-a-hard-decision-to-end-the-project/
# acousticbrainz:
#
#  # Enable AcousticBrainz during beet import. Default: yes.
#  auto: yes
#
#  # Download AcousticBrainz data even for tracks that already have it. Default: no.
#  force: no
#
#  # Which tags from the list above to set on your files. Default: [] (all).
#  tags:
#    [
#    average_loudness,
#    bpm,
#    chords_changes_rate,
#    chords_key,
#    chords_number_rate,
#    chords_scale,
#    danceable,
#    gender,
#    genre_rosamerica,
##    initial_key,
#    key_strength,
#    mood_acoustic,
#    mood_aggressive,
#    mood_electronic,
#    mood_happy,
#    mood_party,
#    mood_relaxed,
#    mood_sad,
#    moods_mirex,
#    rhythm,
#    timbre,
#    tonal,
#    voice_instrumental
#    ]

zero:
  # Set auto to yes to null fields automatically on import. Default: yes
  auto: yes
  # Set fields to a whitespace-separated list of fields to remove. You can get the list of all available fields by running beet fields. In addition, the images field allows you to remove any images embedded in the media file.
# fields: ''
  # Set keep_fields to invert the logic of the plugin. Only these fields will be kept; other fields will be removed.
  # Remember to set only fields or keep_fields—not both!
  keep_fields: albumtype album albumartist albumstatus albumtype albumtypes artist art_source bitdepth bitrate channels comp disc disctotal format genre genres length lyrics mb_albumartistid mb_albumartistids mb_albumid mb_artistid mb_artistids mb_releasegroupid mb_releasetrackid mb_trackid media missing original_year path samplerate style title track tracktotal year rg_track_gain rg_track_peak rg_album_gain rg_album_peak acoustid_fingerprint acoustid_id rating
  # By default this plugin only affects files’ tags; the beets database is left unchanged. To update the tags in the database, set the update_database option to true.
  update_database: true

#lastgenre: Obsoleted, as I can just do beet modify cast arsis genre='Symphonic Prog, Instrumental' for track level instrumental tagging.
  # Fetch genres automatically during import. Default: yes.
#  auto: no
  # Use a canonicalization tree. Setting this to yes will use a built-in tree. You can also set it to a path, like 
  # the whitelist config value, to use your own tree. Default: no (disabled).  
#  canonical: no
  # Number of genres to fetch. Default: 1 
#  count: 2
  # A string if to use a fallback genre when no genre is found. You can use the empty string '' to reset the genre. Default: None.
#  fallback: Instrumental
  # By default, beets will always fetch new genres, even if the files already have one. To instead leave genres in 
  # place in when they pass the whitelist, set the force option to no. Default: yes.
#  force: yes
  # Minimum popularity factor below which genres are discarded. Default: 10.
#  min_weight: 10
  # Sort genres by the most to least specific, rather than most to least popular. Default: no.
#  prefer_specific: no
  # Which entity to look up in Last.fm. Can be either artist, album or track. Default: album.
#  source: track
  # A separator for multiple genres. Default: ', '.
#  separator: ', '
  # The filename of a custom genre list, yes to use the internal whitelist, or no to consider all genres valid. Default: yes.
#  whitelist: ~/.config/beets/genres.txt
  # Convert the new tags to TitleCase before saving. Default: yes.
#  title_case: no

#yearfixer:
  # Force setting the values on items even if the value has been previously set.
#  force: no

follow:
  # muspy.com registered email
  email: REDACTED
  # muspy.com password
  password: REDACTED
  # hover mouse pointer over rss-icon at muspy.com to get https://muspy.com/feed?id=<your userid>
  userid: 0015m3r4sz2o9og23gxkq0f0t5tq7b
  # Automatically follow/unfollow an artist when an album of theirs is imported/removed from your library.
  auto: yes

wlg:
  # Automatically fetch genres during import. Default: no.
  auto: yes
  # Force overwrite existing genres. Default: no.
  force: yes
  # Number of genres to store. Default: 4.
  count: 4
  # Separator for multiple genres. Default: ', '.
  separator: ', '
  # wlg: use whitelist from whatlastgenre (default). beets: use whitelist from lastgenre beets plugin.
  whitelist: wlg

rewrite:
  # Alamaailman Vasarat
  artist Tuomari Nurmio & Alamaailman Vasarat: Alamaailman Vasarat
  # Asia
  artist Asia Featuring John Payne: Asia
  # Anneke van Giersbergen
  artist Anneke van Giersbergen & Árstíðir: Anneke van Giersbergen
  # Anthony Phillips
  artist Anthony Phillips & Andrew Skeet: Anthony Phillips
  artist Anthony Phillips & Harry Williamson: Anthony Phillips
  # Adrian Belew
  artist Adrian Belew Power Trio: Adrian Belew
  # Asturias
  artist Acoustic Asturias: Asturias
  artist Electric Asturias: Asturias
  # Barclay James Harvest
  artist John Lees’ Barclay James Harvest: Barclay James Harvest
  # Blind Guardian
  artist Blind Guardian Twilight Orchestra: Blind Guardian
  # Billy Cobham
  artist Billy Cobham’s Glass Menagerie: Billy Cobham
  artist Billy Cobham and Asere: Billy Cobham
  # Barclay James Harvest
  artist Barclay James Harvest featuring Les Holroyd: Barclay James Harvest
  # Bram Stoker
  artist Pete Ballam: Bram Stoker
  # Cafe del Mar
  artist Bruno: Various Artists
  artist Toni Simonen: Various Artists
  # Chroma Key
  artist Kevin Moore: Chroma Key
  # Collegium Musicum
  artist Prúdy: Collegium Musicum
  # Contraction
  artist Yves Laferrière: Contraction
  artist Franck Dervieux: Contraction
  artist Jacques Blais: Contraction
  artist Yvan Ouellet: Contraction
  # Devin Townsend
  artist Devin Townsend Project: Devin Townsend
  artist The Devin Townsend Band: Devin Townsend
  artist Punky Brüster: Devin Townsend
  # Dave Greenslade
  artist Patrick Woodroffe & Dave Greenslade: Dave Greenslade
  # David Byrne
  artist David Byrne & Brian Eno: David Byrne
  artist David Byrne & Fatboy Slim: David Byrne
  artist David Byrne & St. Vincent: David Byrne
  # David Gilmour
  artist The Orb featuring David Gilmour: David Gilmour
  # David Sylvian
  artist David Sylvian & Holger Czukay: David Sylvian
  artist David Sylvian & Robert Fripp: David Sylvian
  artist Jan Bang & Erik Honoré: David Sylvian
  artist Nine Horses: David Sylvian
  artist Stephan Mathieu & David Sylvian: David Sylvian
  # Electric Light Orchestra
  artist Electric Light Orchestra Part II: Electric Light Orchestra
  artist Olivia Newton‐John: Electric Light Orchestra
  # Focus
  artist Focus Con P.J. Proby: Focus
  artist Focus featuring Marvio Ciribelli: Focus
  artist Jan Akkerman & Thijs van Leer: Focus
  # Frequency Drift
  artist Feeling of Presence: Frequency Drift
  # Guapo
  artist Guapo with Ruins & Shock Exchange: Guapo
  # Galahad
  artist Galahad Electric Company: Galahad
  artist Galahad Acoustic Quintet: Galahad
  # Haze
  artist World Turtle: Haze
  # Isildurs Bane
  artist Isildurs Bane & Peter Hammill: Isildurs Bane
  artist Isildurs Bane & Steve Hogarth: Isildurs Bane
  # Jean-Luc Ponty
  artist The Jean-Luc Ponty Experience: Jean‐Luc Ponty
  artist Jean‐Luc Ponty & 佐藤允彦: Jean‐Luc Ponty
  artist Jean‐Luc Ponty - Stéphane Grappelli featuring Maurice Vander: Jean‐Luc Ponty
  # Jeff Beck
  artist Jeff Beck Group: Jeff Beck
  artist Jeff Beck & Big Town Playboys: Jeff Beck
  artist Jeff Beck and Jed Leiber: Jeff Beck
  artist Beck, Bogert & Appice: Jeff Beck
  # Jeff Green
  artist Jeff Green Project: Jeff Green
  # Jefferson Airplane
  artist Paul Kantner, Grace Slick & David Freiberg: Jefferson Airplane
  # Jethro Tull
  artist London Symphony Orchestra, Ian Anderson: Jethro Tull
  # John McLaughlin
  artist John McLaughlin with Elvin Jones and Joey DeFrancesco: John McLaughlin
  artist John McLaughlin Trio: John McLaughlin
  artist John McLaughlin and the 4th Dimension: John McLaughlin
  artist John McLaughlin with The One Truth Band: John McLaughlin
  artist John McLaughlin, Dave Holland, John Surman, Stu Martin, Karl Berger: John McLaughlin
  # Jon Lord
  artist Jon Lord with The Hoochie Coochie Men: Jon Lord
  artist Jon Lord; Tony Ashton, Yvonne Elliman, Roger Glover, Albert Lee, Ian Paice, London Symphony Orchestra, Malcolm Arnold: Jon Lord
  artist Jon Lord; Nelson Goerner, Odense Symfoniorkester, Paul Mann: Jon Lord
  # Jordan Rudess
  artist Jordan Rudess & Steve Horelick: Jordan Rudess
  # Jukka Tolonen
  artist Jukka Tolonen Band: Jukka Tolonen
  # Julie Slick
  artist Julie Slick \+ Marco Machera: Julie Slick
  # King Crimson
  artist ProjeKct X: King Crimson
  artist ProjeKct Two: King Crimson
  artist Jakko Jakszyk, Robert Fripp and Mel Collins: King Crimson
  # Magus
  artist The Winter Tree: Magus
  # Mahavishnu Orchestra
  artist John McLaughlin & Mahavishnu Orchestra: Mahavishnu Orchestra
  artist Mahavishnu Orchestra / John McLaughlin: Mahavishnu Orchestra
  # Mike Oldfied
  artist Mike Oldfield; Piano Ensemble: Mike Oldfield
  # MONO
  artist MONO & world’s end girlfriend: MONO
  # Neal Morse
  artist The Neal Morse Band: Neal Morse
  artist Neal Morse Mike Portnoy Randy George: Neal Morse
  artist The Prog World Orchestra: Neal Morse
  # Orphaned Land
  artist Orphaned Land & Amaseffer: Orphaned Land
  # Paidarion
  artist Paidarion Finlandia Project: Paidarion
  # Paul Gilbert
  artist Paul Gilbert & Freddie Nelson: Paul Gilbert
  # Pekka Pohjola
  artist Orrenmaa Band: Pekka Pohjola
  artist Pekka Pohjola Group: Pekka Pohjola
  # Peter Gabriel
  artist Big Blue Ball: Peter Gabriel
  # Peter Hammill
  artist Roger Eno & Peter Hammill: Peter Hammill
  artist Peter Hammill and Guy Evans: Peter Hammill
  # Rasputina
  artist Melora Creager: Rasputina
  # Rick Wakeman
  artist Rick Wakeman & Adam Wakeman: Rick Wakeman
  artist Rick Wakeman & Mario Fasciano: Rick Wakeman
  artist Rick Wakeman & The New English Rock Ensemble: Rick Wakeman
  artist Rick Wakeman featuring English Chamber Choir: Rick Wakeman
  artist Rick Wakeman & Tony Fernandez: Rick Wakeman
  artist Rick Wakeman; The English Rock Ensemble: Rick Wakeman
  artist Rick Wakeman with Adam Wakeman: Rick Wakeman
  # Renaissance
  artist Michael Dunford’s Renaissance: Renaissance
  # Robert Fripp
  artist Sunday All Over the World: Robert Fripp
  artist The Robert Fripp String Quintet: Robert Fripp
  artist The Grid / Robert Fripp: Robert Fripp
  artist William Rieflin, Robert Fripp, Trey Gunn: Robert Fripp
  artist Theo Travis & Robert Fripp: Robert Fripp
  artist Robert Fripp & The League of Crafty Guitarists: Robert Fripp
  artist Robert Fripp | Andrew Keeling | David Singleton: Robert Fripp
  artist Andy Summers & Robert Fripp: Robert Fripp
  artist David Cross & Robert Fripp: Robert Fripp
  artist Jeffrey Fayman & Robert Fripp: Robert Fripp
  artist Toyah Willcox & Robert Fripp: Robert Fripp
  # Robert John Godfrey
  artist Robert John Godfrey: The Enid
  # Robert Plant
  artist Robert Plant and the Strange Sensation: Robert Plant
  artist Robert Plant & Alison Krauss: Robert Plant
  artist Robert Plant | Alison Krauss: Robert Plant
  # Roger Waters
  artist Ron Geesin & Roger Waters: Roger Waters
  # Rolo Tomassi
  artist Rolo Tomassi / Cutting Pink With Knives: Rolo Tomassi
  # Roy Harper
  artist Roy Harper & Jimmy Page: Roy Harper
  # Samurai of Prog, The
  artist Marco Bernard & Kimmo Pörsti: The Samurai of Prog
  artist Marco Bernard and Kimmo Pörsti: The Samurai of Prog
  # Steve Hackett
  artist John Hackett & Steve Hackett: Steve Hackett
  artist Steve Hackett with Royal Philharmonic Orchestra: Steve Hackett
  # Steve Howe
  artist Steve Howe & Martin Taylor: Steve Howe
  artist Steve Howe & Paul Sutin: Steve Howe
  artist Steve Howe Trio: Steve Howe
  artist Steve Howe’s Remedy: Steve Howe
  # Tim Morse
  artist Parallels: Tim Morse
  # Tommy Emmanuel
  artist Tommy Emmanuel & David Grisman: Tommy Emmanuel
  artist Tommy Emmanuel & Frank Vignola: Tommy Emmanuel
  artist Tommy Emmanuel & Jim Nichols: Tommy Emmanuel
  artist Tommy Emmanuel & John Knowles: Tommy Emmanuel
  artist Tommy Emmanuel & Martin Taylor: Tommy Emmanuel
  # Ton Scherpenzeel
  artist Ton Scherpenzeel feat. Chris Rainbow: Ton Scherpenzeel
  # Tony Banks
  artist Tony Banks; London Philharmonic Orchestra, Mike Dixon: Tony Banks
  artist Tony Banks; Paul Englishby, City of Prague Philharmonic Orchestra: Tony Banks
  artist Strictly Inc.: Tony Banks
  # Tony Levin
  artist Tony Levin David Torn Alan White: Tony Levin
  # Tunnels
  artist Percy Jones & Tunnels: Tunnels
  # Wishbone Ash
  artist Martin Turner: Wishbone Ash
  # Wovenhand
  artist Wovenhand & Ultima Vez: Wovenhand

fuzzy:
  # The “sensitivity” of the fuzzy match. A value of 1.0 will show only perfect matches and a value of 0.0 will 
  # match everything. Default: 0.7.
  threshold: 0.7
  # The character used to designate fuzzy queries. Default: ~, which may need to be escaped in some shells.
  prefix: '~'

chroma:
  # Control whether to fingerprint files during the import process.
  auto: yes

acoustid:
  # https://acoustid.org/api-key
  apikey: REDACTED

# Allows to set file permissions for imported music files and its directories.
permissions:
  file: 644
  dir: 755

# Allows numeric [1..5] ratings to tracks instead of [0...100]
types:
  rating: int
